Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng.xml
Class XmlMethodSelector

    java.lang.Object
      org.testng.xml.XmlMethodSelector

    public class XmlMethodSelector

extends java.lang.Object

This class describes the tag in testng.xml. Created on Sep 26, 2005

Author:
  cbeust, Alexandru Popescu

Constructor Summary
`XmlMethodSelector()`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getExpression()`
`java.lang.String` | `getLanguage()`
`int` | `getPriority()`
`void` | `setExpression(java.lang.String expression)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setName(java.lang.String name)`
`void` | `setPriority(int priority)`
`java.lang.String` | `toXml(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlMethodSelector

    public XmlMethodSelector()

Method Detail

### getClassName

    public java.lang.String getClassName()

### setName

    public void setName(java.lang.String name)

### getExpression

    public java.lang.String getExpression()

  Returns:
    Returns the expression.

### setExpression

    public void setExpression(java.lang.String expression)

  Parameters:
    `expression` - The expression to set.

### getLanguage

    public java.lang.String getLanguage()

  Returns:
    Returns the language.

### setLanguage

    public void setLanguage(java.lang.String language)

  Parameters:
    `language` - The language to set.

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### toXml

    public java.lang.String toXml(java.lang.String indent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD